Modify

Opened 5 years ago

Closed 5 years ago

#13209 closed task (worksforme)

mvebu boot false. armada370 rd

Reported by: sniperpr@… Owned by: developers
Priority: high Milestone: Chaos Calmer 15.05
Component: kernel Version: Trunk
Keywords: marvell armada370 mvebu Cc:

Description

i compile trunk for armada370.
but can't run it...

what wrong ?
thanks.

https://lh3.googleusercontent.com/-Uzgl2dXmehg/UUkFgETh5wI/AAAAAAAAGFc/61CV40g1VU8/s590/IMG_20130320_083911.jpg

[code]
DDR3 Training Sequence - Ver 2.1.6
DDR3 Training Sequence - Number of DIMMs detected: 1
DDR3 Training Sequence - Ended Successfully
BootROM: Image checksum verification PASSED

_ _

| \/ | _ _ _| | |
| |\/| |/ _` | '\ \ / / _ \ | |
| | | | (_| | | \ V /
/ | |
|_| |_|\,_|_| \_/ \_|_|_|

_ _ _

| | | | | ) _ _ | |_
| | | |
_| _ \ / _ \ / _ \| |
| |_| |
_| |_) | (_) | (_) | |_

\_/ |/ \_/ \_/ \|

LOADER

U-Boot 2009.08 (Feb 14 2012 - 10:26:38)Marvell version: 1.1.2 NQ
U-Boot Addressing:

Code: 00600000:006AFFF0
BSS: 006F7240
Stack: 0x5fff70
PageTable: 0x8e0000
Heap address: 0x900000:0xe00000

Board: DB-88F6710-BP
SoC: MV6710 A1
CPU: Marvell PJ4B v7 UP (Rev 1) LE

CPU @ 1200Mhz, L2 @ 600Mhz
DDR @ 600Mhz, TClock @ 200Mhz
DDR 16Bit Width, FastPath Memory Access

PEX 0: Detected No Link.
PEX 1: Detected No Link.
DRAM: 1 GB

CS 0: base 0x00000000 size 512 MB
CS 1: base 0x20000000 size 512 MB
Addresses 14M - 0M are saved for the U-Boot usage.

SF: Detected MX25L25735E with page size 256, total 33554432 bytes
FPU not initialized
USB 0: Host Mode
USB 1: Host Mode
Shutting down unused interfaces:

SDIO
AUDIO
TDM

Modules/Interfaces Detected:

RGMII0 Phy
RGMII1 Phy
PEX0 (Lane 0)
PEX1 (Lane 1)
SATA0 (Lane 2)
SATA1 (Lane 3)

MMC: MRVL_MMC: 0
Net: egiga0 [PRIME], egiga1
Hit any key to stop autoboot: 0
Marvell>> tftpboot 0x8000000 openwrt-mvebu-uImage-armada-370-db
Using egiga0 device
TFTP from server 192.168.0.100; our IP address is 192.168.0.2
Filename 'openwrt-mvebu-uImage-armada-370-db'.
Load address: 0x8000000
Loading: #################################################################

################

done
Bytes transferred = 1188263 (1221a7 hex)
Marvell>> go 0x8000000
## Starting application at 0x08000000 ...
software interrupt
pc : [<0800001c>] lr : [<0060024c>]
sp : 00600000 ip : 0000001c fp : 00000000
r10: 00000000 r9 : 3fffe570 r8 : 005fffcc
r7 : 006a1754 r6 : 08000000 r5 : 00910374 r4 : 006079f8
r3 : 08000000 r2 : 00910374 r1 : 00910374 r0 : ea000012
Flags: nzCv IRQs off FIQs off Mode SVC_32
Resetting CPU ...
[code]

Attachments (0)

Change History (4)

comment:1 Changed 5 years ago by florian

  • Resolution set to worksforme
  • Status changed from new to closed

Use u-boot's bootm command, and use an initramfs image file such as openwrt-mvebu--uImage-initramfs-armada-370-db

comment:2 Changed 5 years ago by sniperpr@…

  • Resolution worksforme deleted
  • Status changed from closed to reopened

stop here:

Reset IDE:
Marvell Serial ATA Adapter
Integrated Sata device found

Device 0 @ 0 0:

Model: WDC WD1600BEKT-00PVMT0 Firm: 01.01A01 Ser#: WD-WXQ1CC159678

Type: Hard Disk
Supports 48-bit addressing
Capacity: 152627.8 MB = 149.0 GB (312581808 x 512)

Loading file "/boot/uImage.lsp102p10.64k2wifi.usb3.040214" from ide device 0:1 (hda1)
1188263 bytes read
## Booting kernel from Legacy Image at 02000000 ...

Image Name: ARM OpenWrt Linux-3.8.2
Created: 2013-03-15 3:00:48 UTC
Image Type: ARM Linux Kernel Image (uncompressed)
Data Size: 1188199 Bytes = 1.1 MB
Load Address: 00008000
Entry Point: 00008000
Verifying Checksum ... OK
Loading Kernel Image ... OK

OK

Starting kernel ...

comment:3 Changed 5 years ago by sniperpr@…

i'm sorry, my problem.

my armada370 A1 board.. ten times, have one time can't boot.

this is my log

## Booting kernel from Legacy Image at 02000000 ...

Image Name: ARM OpenWrt Linux-3.8.2
Created: 2013-03-15 3:00:48 UTC
Image Type: ARM Linux Kernel Image (uncompressed)
Data Size: 1188199 Bytes = 1.1 MB
Load Address: 00008000
Entry Point: 00008000
Verifying Checksum ... OK
Loading Kernel Image ... OK

OK

Starting kernel ...

[ 0.000000] Booting Linux on physical CPU 0x0
[ 0.000000] Linux version 3.8.2 (feixiang@rtnas) (gcc version 4.6.4 20121210 (prerelease) (Linaro GCC 4.6-2012.12) ) #2 SMP Fri Mar 15 11:00:41 CST 2013
[ 0.000000] CPU: ARMv7 Processor [561f5811] revision 1 (ARMv7), cr=10c53c7d
[ 0.000000] CPU: PIPT / VIPT nonaliasing data cache, PIPT instruction cache
[ 0.000000] Machine: Marvell Armada 370/XP (Device Tree), model: Marvell Armada 370 Evaluation Board
[ 0.000000] Memory policy: ECC disabled, Data cache writeback
[ 0.000000] PERCPU: Embedded 7 pages/cpu @c0c7b000 s6464 r8192 d14016 u32768
[ 0.000000] Built 1 zonelists in Zone order, mobility grouping on. Total pages: 260096
[ 0.000000] Kernel command line: console=ttyS0,115200 earlyprintk
[ 0.000000] PID hash table entries: 4096 (order: 2, 16384 bytes)
[ 0.000000] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[ 0.000000] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[ 0.000000] ex_table already sorted, skipping sort
[ 0.000000] Memory: 1024MB = 1024MB total
[ 0.000000] Memory: 1035988k/1035988k available, 12588k reserved, 270336K highmem
[ 0.000000] Virtual kernel memory layout:
[ 0.000000] vector : 0xffff0000 - 0xffff1000 ( 4 kB)
[ 0.000000] fixmap : 0xfff00000 - 0xfffe0000 ( 896 kB)
[ 0.000000] vmalloc : 0xf0000000 - 0xff000000 ( 240 MB)
[ 0.000000] lowmem : 0xc0000000 - 0xef800000 ( 760 MB)
[ 0.000000] pkmap : 0xbfe00000 - 0xc0000000 ( 2 MB)
[ 0.000000] modules : 0xbf000000 - 0xbfe00000 ( 14 MB)
[ 0.000000] .text : 0xc0008000 - 0xc030ce7c (3092 kB)
[ 0.000000] .init : 0xc030d000 - 0xc0334940 ( 159 kB)
[ 0.000000] .data : 0xc0336000 - 0xc034eaa0 ( 99 kB)
[ 0.000000] .bss : 0xc034eaa0 - 0xc0373388 ( 147 kB)
[ 0.000000] Hierarchical RCU implementation.
[ 0.000000] RCU restricting CPUs from NR_CPUS=4 to nr_cpu_ids=1.
[ 0.000000] NR_IRQS:16 nr_irqs:16 16
[ 0.000000] Aurora cache controller enabled
[ 0.000000] l2x0: 4 ways, CACHE_ID 0x00000100, AUX_CTRL 0x1a086302, Cache size: 262144 B
[ 0.000000] sched_clock: 32 bits at 18MHz, resolution 53ns, wraps every 229064ms
[ 56.765113] Calibrating delay loop... 1196.85 BogoMIPS (lpj=5984256)
[ 56.855080] pid_max: default: 32768 minimum: 301
[ 56.855187] Mount-cache hash table entries: 512
[ 56.856270] CPU: Testing write buffer coherency: ok
[ 56.856458] CPU0: thread -1, cpu 0, socket -1, mpidr 0
[ 56.856492] Setting up static identity map for 0x264430 - 0x264464
[ 56.856941] Brought up 1 CPUs
[ 56.856952] SMP: Total of 1 processors activated (1196.85 BogoMIPS).
[ 56.857293] pinctrl core: initialized pinctrl subsystem
[ 56.857684] NET: Registered protocol family 16
[ 56.858625] DMA: preallocated 1024 KiB pool for atomic coherent allocations
[ 56.862261] irq: Cannot allocate irq_descs @ IRQ31, assuming pre-allocated
[ 56.862855] irq: Cannot allocate irq_descs @ IRQ67, assuming pre-allocated
[ 56.863220] irq: Cannot allocate irq_descs @ IRQ100, assuming pre-allocated
[ 56.864062] Initializing Coherency fabric
[ 56.864462] armada-370-xp-pcie pcie-controller.1: PCIe0.0: link down
[ 56.864483] armada-370-xp-pcie pcie-controller.1: PCIe1.0: link down
[ 56.869058] bio: create slab <bio-0> at 0
[ 56.870538] Switching to clocksource armada_370_xp_clocksource
[ 56.872106] NET: Registered protocol family 2
[ 56.872443] TCP established hash table entries: 8192 (order: 4, 65536 bytes)
[ 56.872526] TCP bind hash table entries: 8192 (order: 4, 65536 bytes)
[ 56.872603] TCP: Hash tables configured (established 8192 bind 8192)
[ 56.872664] TCP: reno registered
[ 56.872675] UDP hash table entries: 512 (order: 2, 16384 bytes)
[ 56.872696] UDP-Lite hash table entries: 512 (order: 2, 16384 bytes)
[ 56.872825] NET: Registered protocol family 1
[ 56.874127] bounce pool size: 64 pages
[ 56.874361] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[ 56.874410] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[ 56.874556] msgmni has been set to 1495
[ 56.874793] io scheduler noop registered
[ 56.874802] io scheduler deadline registered (default)
[ 56.875392] armada-370-pinctrl d0018000.pinctrl: registered pinctrl driver
[ 56.875776] mv_xor d0060800.xor: Marvell XOR driver
[ 56.920654] mv_xor d0060800.xor: Marvell XOR: ( xor cpy )
[ 56.960653] mv_xor d0060800.xor: Marvell XOR: ( xor fill cpy )
[ 56.960830] mv_xor d0060900.xor: Marvell XOR driver
[ 57.000652] mv_xor d0060900.xor: Marvell XOR: ( xor cpy )
[ 57.040653] mv_xor d0060900.xor: Marvell XOR: ( xor fill cpy )
[ 57.041052] Serial: 8250/16550 driver, 2 ports, IRQ sharing disabled
[ 57.041771] d0012000.serial: ttyS0 at MMIO 0xd0012000 (irq = 17) is a 8250
[ 57.475427] console [ttyS0] enabled
[ 57.480208] libphy: orion_mdio_bus: probed
[ 57.487383] mvneta d0070000.ethernet eth0: mac: 02:5b:42:41:66:05
[ 57.495722] mvneta d0074000.ethernet eth1: mac: c6:6f:7f:bf:b7:a7
[ 57.502411] TCP: cubic registered
[ 57.505738] NET: Registered protocol family 17
[ 57.510231] 8021q: 802.1Q VLAN Support v1.8
[ 57.514473] VFP support v0.3: implementor 56 architecture 2 part 20 variant 9 rev 6
[ 57.522692] drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
[ 57.529295] VFS: Cannot open root device "(null)" or unknown-block(0,0): error -6
[ 57.536819] Please append a correct "root=" boot option; here are the available partitions:
[ 57.545199] Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)

comment:4 Changed 5 years ago by florian

  • Resolution set to worksforme
  • Status changed from reopened to closed

Just supply the kernel with a valid root filesystem to boot from (either SATA or initramfs are supported, NAND is not for the moment).

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.